%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% University Lab Report Template
% Single student, with attached lecture section
%
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2005/12/01 or later.
%
% This work has the LPPL maintenance status `maintained'.
% 
% The Current Maintainer of this work is B.Tschida.
% 
% This work consists of the files univreport.cls, derived
% from article.cls, and univreportstyle.sty.
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%----------------------------------------------------------------------------------------
%	PACKAGES AND DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------
\documentclass[a4paper, 11pt]{univreport} % Passes commands to report class 
\usepackage{univreportstyle}		% Styling and other miscellaneous features
% Add any extra packages here

\usepackage{wrapfig}
\usepackage{pdfpages}
\usepackage{pgfplotstable,filecontents}
\usepackage{csvsimple}
\usepackage{graphicx}
\usepackage[graphicx]{realboxes}
% \usepackage{showframe}
\usepackage{listings} % Write code into document

\definecolor{commentsColor}{rgb}{0.497495, 0.497587, 0.497464}
\definecolor{keywordsColor}{rgb}{0.000000, 0.000000, 0.635294}
\definecolor{stringColor}{rgb}{0.558215, 0.000000, 0.135316}

\lstset{% Foramt C++ in Appendix
  	basicstyle=\ttfamily,
  	columns=fullflexible,
  	breakatwhitespace=false,      
  	breaklines=true,                
  	captionpos=b,                    
  	extendedchars=true,              
  	frame=none,                   
  	keepspaces=true,             
  	keywordstyle=\color{keywordsColor},      
  	language=c++,                 
  	numbers=left,                
  	numbersep=5pt,                   
  	numberstyle=\tiny\color{commentsColor},  
	stringstyle=\color{stringColor},
	commentstyle=\color{commentsColor},
  	showspaces=false, 
	showstringspaces=false,              
  	showtabs=false,                 
  	stepnumber=1,                   
  	tabsize=2,                      
}




% \usepackage{draftwatermark}
% \SetWatermarkText{DRAFT}
% \SetWatermarkScale{4}



	%----------------------------------------------------------------------------------------
	%	DOCUMENT INFORMATION
	% specific lab Information---------------------------------------------------------------
	\labtitle{Zombie Apocalypse Project}			% Title of experiment
	\shorttitle{Midterm}
	\labnumber{lab 3}											    % Specific lab number
	\labdate{February 31, 2200}									    % Date data collected/lab done
	% Course Information -------------------------------------------------------------------
	\labinstructor{John Doe}									    % For the lab instructor/TA									
	\coursename{Mechatronics}									    % Name of associated course/lab 
																	%(ie: Electrical Circuits Laboratory)
	\coursenum{ME~401}											    % Number of lab course (ie: EE 262)
	\coursesecnum{1}												% Laboratory section number
	% Other Document Information ------------------------------------------------------------
	\author{B.~Tschida, J.~Carbee, J.~Woo, R.~Parsons} 											% Author name
	\date{November~1,~2021} 										% Date for the report submission
	% leave the following two commands empty if not applicable ie: '\courseinstructor{}' ---
	\courseinstructor{Prof.~J.~Swensen}												% Instructor for lecture/course
	\coursesecletter{19}												% Laboratory subsection letter
	\university{Washington State University}
	%----------------------------------------------------------------------------------------

	% Add as many bibs here, this is just a sample
	\addbibresource{Report_Sources.bib}


\begin{document}

\FirstPages% Prints title page and TOC. 
% Write any other preface information directly after this line and before the \EndPreface declaration
\EndPreface%

\subfile{Sections/states.tex}
\clearpage
\subfile{Sections/data.tex}
\clearpage
\subfile{Sections/conclusion.tex}

\clearpage
% \pagenumbering{alph}
% \setcounter{page}{1}

% \pagestyle{appendix}
% Bibliography/references

\printbibliography[heading=bibintoc]
\clearpage

%----------------------------------------------------------------------------------------
%	Appendix
%----------------------------------------------------------------------------------------
\pagestyle{appendix}
\subfile{Appendix/Appendix.tex}


\end{document}